PamCut: CaloTrackCut Class Reference

# CaloTrackCut Class Reference

The calorimeter track cut. Checks for the existence of a track in the calorimeter, using the CaloAxis routine. WARNING: Check() assumes that level 1 data for the calorimeter exists. More...

`#include <CaloTrackCut.h>`

Inheritance diagram for CaloTrackCut:

List of all members.

## Public Member Functions
| CaloTrackCut (const char *cutName)
| Constructor.
| ~CaloTrackCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The calorimeter track check.
## Public Attributes
CaloAxis | xCaloAxis
| The CaloAxis objects for the last track. These objects stores information about the track of the last examined event.
CaloAxis | yCaloAxis

## Detailed Description

The calorimeter track cut. Checks for the existence of a track in the calorimeter, using the CaloAxis routine. WARNING: Check() assumes that level 1 data for the calorimeter exists.

Definition at line 21 of file CaloTrackCut.h.

## Constructor & Destructor Documentation

CaloTrackCut::CaloTrackCut | ( | const char * | cutName | ) | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.

Definition at line 28 of file CaloTrackCut.h.

CaloTrackCut::~CaloTrackCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 32 of file CaloTrackCut.h.

## Member Function Documentation

int CaloTrackCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The calorimeter track check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if it is possible to identify a meaningful (chi2 > 0) track in the calorimeter.

  0 otherwise.

Implements PamCut.

Definition at line 13 of file CaloTrackCut.cpp.

References CUTOK, CaloAxis::FitAxis(), CaloAxis::GetChi2(), CaloAxis::Reset(), xCaloAxis, and yCaloAxis.

## Member Data Documentation

CaloAxis CaloTrackCut::xCaloAxis

The CaloAxis objects for the last track. These objects stores information about the track of the last examined event.

Definition at line 47 of file CaloTrackCut.h.

Referenced by Check().

CaloAxis CaloTrackCut::yCaloAxis

Definition at line 48 of file CaloTrackCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloTrackCut/CaloTrackCut.h
- CaloCuts/CaloTrackCut/CaloTrackCut.cpp